| DocBook: The Definitive Guide 2.0.17 (Alpha)

# tfoot

$Revision$

$Date$

tfoot — A table footer consisting of one or more rows

## Synopsis

### Content Model

    tfoot ::=
    ((tr+|
      (colspec*,row+)))

### Attributes

Common attributes

Name | Type | Default
ondblclick | CDATA | None
onkeydown | CDATA | None
onkeyup | CDATA | None
onmouseup | CDATA | None
onmouseover | CDATA | None

valign

Enumeration:
bottom
middle
top

None

onmouseout | CDATA | None
onmousemove | CDATA | None
style | CDATA | None
xml:lang | NMTOKEN | None
onkeypress | CDATA | None
onmousedown | CDATA | None
onclick | CDATA | None
title | CDATA | None
class | CDATA | None

## Description

The `TFoot` wrapper identifies the `Row`s of a table that form the foot of the table, as distinct from the header (`THead`) and body (`TBody`) rows.

Footer rows are always rendered at the end of the table, despite thier logical placement near the beginning.

### Processing expectations

This element is expected to obey the semantics of the CALS Table Model Document Type Definition, as specified by OASIS Technical Memorandum TM 9502:1995 . Footer rows are often presented in an alternate typographic style, such as boldface.

In paged media, if a table spans across multiple pages, footer rows are printed on the bottom of each page.

In our experience, relatively few formatters handle footer rows correctly.

### Parents

These elements contain tfoot: `informaltable`, `table`, `tgroup`.

### Children

The following elements occur in tfoot: `colspec`, `row`, `tr`.

## Attributes

valign

  `VAlign` specifies the vertical alignment of text (and other elements) within the cells of this `TFoot`.

## See Also

`colspec`, `entry`, `entrytbl`, `informaltable`, `row`, `spanspec`, `table`, `tbody`, `tgroup`, `thead`.

## Examples

For examples, see `table`.

textobject |  | tgroup

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.